package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 记账公司对象 fnc_company
 * 
 * @author ruoyi
 * @date 2022-11-16
 */
public class FncCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记账公司id */
    private Long companyId;

    /** 记账公司名称 */
    @Excel(name = "记账公司名称")
    private String companyName;

    /** 营业执照号 */
    @Excel(name = "营业执照号")
    private String licenseNo;

    /** 公司地址 */
    @Excel(name = "公司地址")
    private String companyAddress;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String contactInformation;

    /** 开户行 */
    @Excel(name = "开户行")
    private String bankDeposit;

    /** 银行账户名称 */
    @Excel(name = "银行账户名称")
    private String bankAccountName;

    /** 银行账户 */
    @Excel(name = "银行账户")
    private String bankAccount;

    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setLicenseNo(String licenseNo) 
    {
        this.licenseNo = licenseNo;
    }

    public String getLicenseNo() 
    {
        return licenseNo;
    }
    public void setCompanyAddress(String companyAddress) 
    {
        this.companyAddress = companyAddress;
    }

    public String getCompanyAddress() 
    {
        return companyAddress;
    }
    public void setContactInformation(String contactInformation) 
    {
        this.contactInformation = contactInformation;
    }

    public String getContactInformation() 
    {
        return contactInformation;
    }
    public void setBankDeposit(String bankDeposit) 
    {
        this.bankDeposit = bankDeposit;
    }

    public String getBankDeposit() 
    {
        return bankDeposit;
    }
    public void setBankAccountName(String bankAccountName) 
    {
        this.bankAccountName = bankAccountName;
    }

    public String getBankAccountName() 
    {
        return bankAccountName;
    }
    public void setBankAccount(String bankAccount) 
    {
        this.bankAccount = bankAccount;
    }

    public String getBankAccount() 
    {
        return bankAccount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("licenseNo", getLicenseNo())
            .append("companyAddress", getCompanyAddress())
            .append("contactInformation", getContactInformation())
            .append("bankDeposit", getBankDeposit())
            .append("bankAccountName", getBankAccountName())
            .append("bankAccount", getBankAccount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
